<?php
if (!defined ('TYPO3_MODE')) 	die ('Access denied.');

$TCA["tx_irretutorial_mnasym_hotel"] = Array (
	"ctrl" => $TCA["tx_irretutorial_mnasym_hotel"]["ctrl"],
	"interface" => Array (
		"showRecordFieldList" => "hidden,title,offers"
	),
	"feInterface" => $TCA["tx_irretutorial_mnasym_hotel"]["feInterface"],
	"columns" => Array (
		"hidden" => Array (		
			"exclude" => 1,
			"label" => "LLL:EXT:lang/locallang_general.xml:LGL.hidden",
			"config" => Array (
				"type" => "check",
				"default" => "0"
			)
		),
		"title" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:irre_tutorial/locallang_db.xml:tx_irretutorial_hotel.title",		
			"config" => Array (
				"type" => "input",	
				"size" => "30",	
				"eval" => "required",
			)
		),
		"offers" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:irre_tutorial/locallang_db.xml:tx_irretutorial_hotel.offers",		
			"config" => Array (
				"type" => "inline",
				"foreign_table" => "tx_irretutorial_mnasym_hotel_offer_rel",
				"foreign_field" => "hotelid",
				"foreign_sortby" => "hotelsort",
				"foreign_label" => "offerid",
				"maxitems" => 10,
			)
		),
	),
	"types" => Array (
		"0" => Array("showitem" => "hidden;;1;;1-1-1, title;;;;2-2-2, offers;;;;3-3-3")
	),
	"palettes" => Array (
		"1" => Array("showitem" => "")
	)
);



$TCA["tx_irretutorial_mnasym_hotel_offer_rel"] = Array (
	"ctrl" => $TCA["tx_irretutorial_mnasym_hotel_offer_rel"]["ctrl"],
	"interface" => Array (
		"showRecordFieldList" => "hidden,title,hotelid,offerid,prices,hotelsort,offersort"
	),
	"feInterface" => $TCA["tx_irretutorial_mnasym_hotel_offer_rel"]["feInterface"],
	"columns" => Array (
		"hidden" => Array (		
			"exclude" => 1,
			"label" => "LLL:EXT:lang/locallang_general.xml:LGL.hidden",
			"config" => Array (
				"type" => "check",
				"default" => "0"
			)
		),
		"hotelid" => Array (		
			"label" => "LLL:EXT:irre_tutorial/locallang_db.xml:tx_irretutorial_hotel_offer_rel.hotelid",		
			"config" => Array (
				"type" => "select",
				"foreign_table" => "tx_irretutorial_mnasym_hotel",
				"foreign_table_where" => "AND tx_irretutorial_mnasym_hotel.pid=###CURRENT_PID###",
				"maxitems" => 1,
			)
		),
		"offerid" => Array (		
			"label" => "LLL:EXT:irre_tutorial/locallang_db.xml:tx_irretutorial_hotel_offer_rel.offerid",		
			"config" => Array (
				"type" => "select",
				"foreign_table" => "tx_irretutorial_mnasym_offer",
				"foreign_table_where" => "AND tx_irretutorial_mnasym_offer.pid=###CURRENT_PID###",
				"maxitems" => 1,
			)
		),
		"prices" => Array (
			"label" => "LLL:EXT:irre_tutorial/locallang_db.xml:tx_irretutorial_hotel_offer_rel.prices",
			"config" => Array (
				"type" => "inline",
				"foreign_table" => "tx_irretutorial_mnasym_price",
				"foreign_field" => "parentid",
				"maxitems" => 10,
			)
		),
		"hotelsort" => Array (
			"config" => Array (
				"type" => "passthrough",
			)
		),
		"offersort" => Array (
			"config" => Array (
				"type" => "passthrough",
			)
		),
	),
	"types" => Array (
		"0" => Array("showitem" => "hidden;;1;;1-1-1, title;;;;2-2-2, hotelid;;;;3-3-3, offerid, prices, hotelsort, offersort")
	),
	"palettes" => Array (
		"1" => Array("showitem" => "")
	)
);



$TCA["tx_irretutorial_mnasym_offer"] = Array (
	"ctrl" => $TCA["tx_irretutorial_mnasym_offer"]["ctrl"],
	"interface" => Array (
		"showRecordFieldList" => "hidden,title,hotels"
	),
	"feInterface" => $TCA["tx_irretutorial_mnasym_offer"]["feInterface"],
	"columns" => Array (
		"hidden" => Array (		
			"exclude" => 1,
			"label" => "LLL:EXT:lang/locallang_general.xml:LGL.hidden",
			"config" => Array (
				"type" => "check",
				"default" => "0"
			)
		),
		"title" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:irre_tutorial/locallang_db.xml:tx_irretutorial_offer.title",		
			"config" => Array (
				"type" => "input",	
				"size" => "30",	
				"eval" => "required",
			)
		),
		"hotels" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:irre_tutorial/locallang_db.xml:tx_irretutorial_offer.hotels",		
			"config" => Array (
				"type" => "inline",
				"foreign_table" => "tx_irretutorial_mnasym_hotel_offer_rel",
				"foreign_field" => "offerid",
				"foreign_sortby" => "offersort",
				"foreign_label" => "hotelid",
				"maxitems" => 10,
			)
		),
	),
	"types" => Array (
		"0" => Array("showitem" => "hidden;;1;;1-1-1, title;;;;2-2-2, hotels")
	),
	"palettes" => Array (
		"1" => Array("showitem" => "")
	)
);



$TCA["tx_irretutorial_mnasym_price"] = Array (
	"ctrl" => $TCA["tx_irretutorial_mnasym_price"]["ctrl"],
	"interface" => Array (
		"showRecordFieldList" => "hidden,title,parentid,price"
	),
	"feInterface" => $TCA["tx_irretutorial_mnasym_price"]["feInterface"],
	"columns" => Array (
		"hidden" => Array (		
			"exclude" => 1,
			"label" => "LLL:EXT:lang/locallang_general.xml:LGL.hidden",
			"config" => Array (
				"type" => "check",
				"default" => "0"
			)
		),
		"parentid" => Array (		
			"config" => Array (
				"type" => "passthrough",
			)
		),
		"title" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:irre_tutorial/locallang_db.xml:tx_irretutorial_price.title",		
			"config" => Array (
				"type" => "input",	
				"size" => "30",	
				"eval" => "required",
			)
		),
		"price" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:irre_tutorial/locallang_db.xml:tx_irretutorial_price.price",		
			"config" => Array (
				"type" => "input",	
				"size" => "30",	
				"eval" => "double2",
			)
		),
	),
	"types" => Array (
		"0" => Array("showitem" => "hidden;;1;;1-1-1, parentid, title;;;;2-2-2, parentid, price;;;;3-3-3;")
	),
	"palettes" => Array (
		"1" => Array("showitem" => "")
	)
);
?>